package com.sobot.common.model;


import java.io.Serializable;
import java.util.List;

/**
 * 通过工单分类获取关联的自定义字段实体类
 */

public class SobotCusFieldConfig extends SobotBaseItemCode<SobotCusFieldConfig> implements Serializable {

    //"自定义字段ID")
    private String fieldId;
    //"自定义字段名称")
    private String fieldName;
    //"自定义字段值")//预设文案
    private String fieldValue;
    //选项显示的内容
    private String fieldText;
    //"是否必填 0 否 1 是")
    private int fillFlag;
    //"自定义字段类型1单行文本 2多行文本 3:日期，需要格式化成yyyy-MM-dd 4时间 5数值 6下拉列表 7复选框 8单选框")
    private int fieldType;
    //"是否开启 0 关闭 1 开启")
    private int openFlag;
    //------------
    private int authStatus = 1;//  1可读写 2可读 3不可见
    private String creationTime;
    private String customFieldFlag;
    private int displayFlag;
    private String fieldVariable;
    private String limitChar;
    private List<String> limitOptions;
    private int numericalFlag;
    private int operateType;
    private int optionFlag;
    private int optionValueFlag;
    private int queryFlag;
    private int queryShowFlag;
    private int relatedFlag;
    private int removed;
    private int sort;
    private int sortNo;
    private int validInformationFlag;
    private int workShowFlag;
    private int workSortNo;
    private String templateFieldId;
    private String basicType;
    private String basicName;
    private boolean isCopy;
    private String companyId;
    private int computedUnit;//1 是相加，2是相乘
    private String createId;
    private long createTime;
    private int fieldLevel;
    private int regionalLevel;//地区级别
    private String fieldRemark;//字段描述
    private int fieldStatus;
    private int isOpenFlag;
    private String operateUnitId1;//"e1db9834d1ad4e509139ee2d9d7d00a8"
    private String operateUnitId2;//"1ca6115e414b47bcb4014fa0571c568c"
    private String updateId;
    private long updateTime;
    private String fieldDataValue;//name
    private String temFieldId;//id
    private String temDataId;//id
    private String summy;//最后合计
    private int mustFillFlag;//关单必填 0 默认 没有开启，1 开启

    private List<SobotCombinFormFieldList> combinFormFieldList;
    private List<SobotCusFieldDataInfoList> cusFieldDataInfoList;

    private String text;//地区显示的文本
    private boolean isFieldDelete;//字段是否删除 2024.04.15-gqf
    private boolean isFieldValueDelete;//选项是否删除 2024.04.15-gqf

    public SobotCusFieldConfig() {
    }

    public boolean isFieldDelete() {
        return isFieldDelete;
    }

    public void setFieldDelete(boolean fieldDelete) {
        isFieldDelete = fieldDelete;
    }

    public boolean isFieldValueDelete() {
        return isFieldValueDelete;
    }

    public void setFieldValueDelete(boolean fieldValueDelete) {
        isFieldValueDelete = fieldValueDelete;
    }

    public int getRegionalLevel() {
        return regionalLevel;
    }

    public void setRegionalLevel(int regionalLevel) {
        this.regionalLevel = regionalLevel;
    }

    public int getIsOpenFlag() {
        return isOpenFlag;
    }

    public void setIsOpenFlag(int isOpenFlag) {
        this.isOpenFlag = isOpenFlag;
    }

    public List<String> getLimitOptions() {
        return limitOptions;
    }
    public void setLimitOptions(List<String> limitOptions) {
        this.limitOptions = limitOptions;
    }
    public String getFieldText() {
        return fieldText;
    }

    public void setFieldText(String fieldText) {
        this.fieldText = fieldText;
    }

    public String getSummy() {
        return summy;
    }

    public void setSummy(String summy) {
        this.summy = summy;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public int getComputedUnit() {
        return computedUnit;
    }

    public void setComputedUnit(int computedUnit) {
        this.computedUnit = computedUnit;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }

    public String getFieldId() {
        return fieldId;
    }

    public void setFieldId(String fieldId) {
        this.fieldId = fieldId;
    }

    public int getFieldLevel() {
        return fieldLevel;
    }

    public void setFieldLevel(int fieldLevel) {
        this.fieldLevel = fieldLevel;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldRemark() {
        return fieldRemark;
    }

    public void setFieldRemark(String fieldRemark) {
        this.fieldRemark = fieldRemark;
    }

    public int getFieldStatus() {
        return fieldStatus;
    }

    public void setFieldStatus(int fieldStatus) {
        this.fieldStatus = fieldStatus;
    }

    public int getFieldType() {
        return fieldType;
    }

    public void setFieldType(int fieldType) {
        this.fieldType = fieldType;
    }

    public String getFieldVariable() {
        return fieldVariable;
    }

    public void setFieldVariable(String fieldVariable) {
        this.fieldVariable = fieldVariable;
    }

    public int getNumericalFlag() {
        return numericalFlag;
    }

    public void setNumericalFlag(int numericalFlag) {
        this.numericalFlag = numericalFlag;
    }

    public int getFillFlag() {
        return fillFlag;
    }

    public void setFillFlag(int fillFlag) {
        this.fillFlag = fillFlag;
    }

    public int getOpenFlag() {
        return openFlag;
    }

    public void setOpenFlag(int openFlag) {
        this.openFlag = openFlag;
    }

    public int getOperateType() {
        return operateType;
    }

    public void setOperateType(int operateType) {
        this.operateType = operateType;
    }

    public int getOptionFlag() {
        return optionFlag;
    }

    public void setOptionFlag(int optionFlag) {
        this.optionFlag = optionFlag;
    }

    public int getQueryFlag() {
        return queryFlag;
    }

    public void setQueryFlag(int queryFlag) {
        this.queryFlag = queryFlag;
    }

    public String getOperateUnitId1() {
        return operateUnitId1;
    }

    public void setOperateUnitId1(String operateUnitId1) {
        this.operateUnitId1 = operateUnitId1;
    }

    public String getOperateUnitId2() {
        return operateUnitId2;
    }

    public void setOperateUnitId2(String operateUnitId2) {
        this.operateUnitId2 = operateUnitId2;
    }

    public int getOptionValueFlag() {
        return optionValueFlag;
    }

    public void setOptionValueFlag(int optionValueFlag) {
        this.optionValueFlag = optionValueFlag;
    }

    public int getQueryShowFlag() {
        return queryShowFlag;
    }

    public void setQueryShowFlag(int queryShowFlag) {
        this.queryShowFlag = queryShowFlag;
    }

    public int getRelatedFlag() {
        return relatedFlag;
    }

    public void setRelatedFlag(int relatedFlag) {
        this.relatedFlag = relatedFlag;
    }

    public int getSortNo() {
        return sortNo;
    }

    public void setSortNo(int sortNo) {
        this.sortNo = sortNo;
    }

    public String getUpdateId() {
        return updateId;
    }

    public void setUpdateId(String updateId) {
        this.updateId = updateId;
    }

    public long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(long updateTime) {
        this.updateTime = updateTime;
    }

    public int getWorkShowFlag() {
        return workShowFlag;
    }

    public void setWorkShowFlag(int workShowFlag) {
        this.workShowFlag = workShowFlag;
    }

    public int getWorkSortNo() {
        return workSortNo;
    }

    public void setWorkSortNo(int workSortNo) {
        this.workSortNo = workSortNo;
    }

    public String getFieldDataValue() {
        return fieldDataValue;
    }

    public void setFieldDataValue(String fieldDataValue) {
        this.fieldDataValue = fieldDataValue;
    }

    public String getTemFieldId() {
        return temFieldId;
    }

    public void setTemFieldId(String temFieldId) {
        this.temFieldId = temFieldId;
    }

    public String getFieldValue() {
        return fieldValue;
    }

    public void setFieldValue(String fieldValue) {
        this.fieldValue = fieldValue;
    }

    public String getTemDataId() {
        return temDataId;
    }

    public void setTemDataId(String temDataId) {
        this.temDataId = temDataId;
    }

    public int getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(int authStatus) {
        this.authStatus = authStatus;
    }

    public List<SobotCombinFormFieldList> getCombinFormFieldList() {
        return combinFormFieldList;
    }

    public void setCombinFormFieldList(List<SobotCombinFormFieldList> combinFormFieldList) {
        this.combinFormFieldList = combinFormFieldList;
    }

    public List<SobotCusFieldDataInfoList> getCusFieldDataInfoList() {
        return cusFieldDataInfoList;
    }

    public void setCusFieldDataInfoList(List<SobotCusFieldDataInfoList> cusFieldDataInfoList) {
        this.cusFieldDataInfoList = cusFieldDataInfoList;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public int getMustFillFlag() {
        return mustFillFlag;
    }

    public void setMustFillFlag(int mustFillFlag) {
        this.mustFillFlag = mustFillFlag;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj instanceof SobotCusFieldConfig) {
            if (((SobotCusFieldConfig) obj).getFieldId().equals(this.getFieldId())) {
                return true;
            }
        }
        return false;
    }

    public String getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(String creationTime) {
        this.creationTime = creationTime;
    }

    public String getCustomFieldFlag() {
        return customFieldFlag;
    }

    public void setCustomFieldFlag(String customFieldFlag) {
        this.customFieldFlag = customFieldFlag;
    }

    public int getDisplayFlag() {
        return displayFlag;
    }

    public void setDisplayFlag(int displayFlag) {
        this.displayFlag = displayFlag;
    }

    public String getLimitChar() {
        return limitChar;
    }

    public void setLimitChar(String limitChar) {
        this.limitChar = limitChar;
    }

    public int getRemoved() {
        return removed;
    }

    public void setRemoved(int removed) {
        this.removed = removed;
    }

    public int getSort() {
        return sort;
    }

    public void setSort(int sort) {
        this.sort = sort;
    }

    public int getValidInformationFlag() {
        return validInformationFlag;
    }

    public void setValidInformationFlag(int validInformationFlag) {
        this.validInformationFlag = validInformationFlag;
    }

    public String getTemplateFieldId() {
        return templateFieldId;
    }

    public void setTemplateFieldId(String templateFieldId) {
        this.templateFieldId = templateFieldId;
    }

    public String getBasicType() {
        return basicType;
    }

    public void setBasicType(String basicType) {
        this.basicType = basicType;
    }

    public String getBasicName() {
        return basicName;
    }

    public void setBasicName(String basicName) {
        this.basicName = basicName;
    }

    public boolean isCopy() {
        return isCopy;
    }

    public void setCopy(boolean copy) {
        isCopy = copy;
    }
}